<?php

/* * ********************************************************************
 * Wordpress_Manager Product developed. (Dec 11, 2017)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 * ******************************************************************** */

namespace ModulesGarden\ProxmoxAddon\App\UI\VmCleaner\Forms;

use ModulesGarden\ProxmoxAddon\App\UI\VmCleaner\Providers\VmProvider;
use ModulesGarden\ProxmoxAddon\Core\UI\Interfaces\AdminArea;
use ModulesGarden\ProxmoxAddon\Core\UI\Widget\Forms\BaseForm;

/**
 * Description of CreateForm
 *
 * @author Pawel Kopec <pawelk@modulesgarden.com>
 */
class DeleteMassForm extends BaseForm implements AdminArea
{

    public function initContent()
    {
        $this->initIds('vmCleanerDeleteMassForm');
        $this->setFormType('deleteMass');
        $this->setProvider(new VmProvider);
        $this->initFields();
    }

    protected function initFields()
    {
        $this->setConfirmMessage('confirmvmDeleteMass');
    }

    protected function getDefaultActions()
    {
        return ['deleteMass'];
    }
}
